/*******************************************************************************
 * UberPostProcessEffect generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class UberPostProcessEffect extends DOFBloomMotionBlurEffect
    native
    hidecategories(Object);

enum ETonemapperType
{
    Tonemapper_Off,
    Tonemapper_Filmic,
    Tonemapper_Customizable,
    Tonemapper_MAX
};

enum EPostProcessAAType
{
    PostProcessAA_Off,
    PostProcessAA_FXAA0,
    PostProcessAA_FXAA1,
    PostProcessAA_FXAA2,
    PostProcessAA_FXAA3,
    PostProcessAA_FXAA4,
    PostProcessAA_FXAA5,
    PostProcessAA_MLAA,
    PostProcessAA_MAX
};

var(Scene) Vector SceneShadows;
var(Scene) Vector SceneHighLights;
var(Scene) Vector SceneMidTones;
var(Scene) float SceneDesaturation;
var(Scene) Vector SceneColorize;
var(Tonemapper) UberPostProcessEffect.ETonemapperType TonemapperType;
var(PostprocessAntiAliasing) UberPostProcessEffect.EPostProcessAAType PostProcessAAType;
var(Tonemapper) float TonemapperRange;
var(Tonemapper) float TonemapperToeFactor;
var(Tonemapper) float TonemapperScale;
var(MotionBlur) float MotionBlurSoftEdgeKernelSize;
var(Scene) bool bEnableImageGrain;
var(PostProcessEffect) bool bScaleEffectsWithViewSize;
var deprecated bool bEnableHDRTonemapper;
var(Scene) float SceneImageGrainScale;
var(Bloom,Shape) float BloomWeightSmall;
var(Bloom,Shape) float BloomWeightMedium;
var(Bloom,Shape) float BloomWeightLarge;
var(Bloom,Shape) float BloomSizeScaleSmall;
var(Bloom,Shape) float BloomSizeScaleMedium;
var(Bloom,Shape) float BloomSizeScaleLarge;
var(PostprocessAntiAliasing) float EdgeDetectionThreshold;
var native const transient LUTBlender PreviousLUTBlender;
var deprecated float SceneHDRTonemapperScale;

defaultproperties
{
    SceneShadows=(X=0.0,Y=0.0,Z=-0.0030)
    SceneHighLights=(X=0.80,Y=0.80,Z=0.80)
    SceneMidTones=(X=1.30,Y=1.30,Z=1.30)
    SceneDesaturation=0.40
    SceneColorize=(X=1.0,Y=1.0,Z=1.0)
    TonemapperRange=8.0
    TonemapperToeFactor=1.0
    TonemapperScale=1.0
    SceneImageGrainScale=0.020
    BloomWeightMedium=1.0
    BloomSizeScaleSmall=0.250
    BloomSizeScaleMedium=1.0
    BloomSizeScaleLarge=3.0
    EdgeDetectionThreshold=12.0
}